using System;
using System.Data;
using System.Collections.Generic;
using System.Text;
using DAL;

namespace BLL
{
    public class Kharid
    {
        string _fakid;
        string _kalaid;
        string _number;
        string _sanadid;
        string _kharid;
        string _date;

        public Kharid()
        {

        }

        public string kharid
        {
            set
            {
                _kharid = value;
            }
            get
            {
                return _kharid;
            }
        }
        public string FakId
        {
            set
            {
                _fakid = value;
            }
            get
            {
                return _fakid;
            }
        }

        public string Date
        {
            set
            {
                _date = value;
            }
            get
            {
                return _date;
            }
        }
        public string SanadId
        {
            set
            {
                _sanadid = value;
            }
            get
            {
                return _sanadid;
            }
        }

        public string kalaid
        {
            get
            {
                return _kalaid;
            }
            set
            {
                this._kalaid = value;

            }
        }
        
        public string Number
        {
            get
            {
                return _number;
            }
            set
            {
                this._number = value;

            }
        }

        public void Insert()
        {
            KharidMethods methods = new KharidMethods();
            methods.Insert(this.SanadId,this.FakId,this.kalaid,this.Number ,this.kharid,this.Date);
        }

        public object GetNewKharidSanadId()
        {
            KharidMethods methods = new KharidMethods();
            return methods.GetNewKharidSanadId();
        }

        public void Delete(string sanadid)
        {
            KharidMethods methods = new KharidMethods();
            methods.Delete(sanadid);
        }

        public object GetMojodiKala(string kalaid)
        {
            KharidMethods methods = new KharidMethods();
            return methods.GetMojodiKala(kalaid);
        }
    }
}
